BPfilter <-
function(x,fband=c(0,0.5),missing=NA)
# band-pass filtering a vector x 
# all frequencies below limit frequency fband[1] and above fband[2] are removed
# it can be missing data 
{
	non.miss=which(!is.na(x))
	fb=fband
	xf=rep(NA,length(x))
	i1=min(non.miss)
	i2=max(non.miss)
	y=x[i1:i2]
	y[which(is.na(y))]<-mean(y,na.rm=TRUE)
	z=fft(y)
	sp0=mean(Mod(z))
	nf=length(z)
	freq=seq(0,(nf-1)/nf,by=1/nf)
	k2=floor(nf/2)+2
	freq[k2:nf]=1-freq[k2:nf]
	iloc=which(freq<fband[1] | freq>fband[2])
	z[iloc]<-0
	sp1=mean(Mod(z))
	yf=Re(fft(z,inverse=T)/nf) 
	xf[i1:i2]=yf
	xf[which(is.na(x))]<-NA
	return(xf)
}
