wavesp <-
function(data,s0=2,noctave=6,nvoice=20,w0=6,sw=0,siglevel=0.95,nreal=100,logscale=FALSE,units="",outfile=NULL)
# uses bivar (D. Maraun)
{
# initialisation
	require(Rwave)
	devices="screen"
	if (!is.null(outfile)) 
		{
		fgraph=paste(outfile,sep="")
		ftext=paste(outfile,".txt",sep="")
		sink(file=ftext)
		devices="ps"
		}
	n<-nrow(data)
	m<-ncol(data)
	cat(paste("The number of octaves is ",noctave,"\n"))
	cat(paste("The number of voices is ",nvoice,"\n"))
	cat(paste("The filter size sw is ",sw,"\n"))
	t<-as.numeric(rownames(data))
	t0<-t[1]
	dt<-(n-1)/(t[n]-t[1])
	if (s0<=2/dt)
		{
		s0 <- 2/dt
		cat(paste("# s0 set to ",s0," (Nyquist period =",2/dt,")\n"))
		}
# output
cat("Spectral analysis by wavelets \n")
cat("-----------------------------------------------------------\n")
# main loop
	for (j in 1:m) 
		{
		cat("Series ",j," : ",colnames(data)[j]," \n")
		cat("-----------------------------------\n")
		ts<-ts(data[,j],start=t0,frequency=dt)
		tsanom <- ts-mean(ts)
		ts.cwt <- cwt.ts(tsanom,s0,noctave,nvoice,w0)
		wsp <- smooth.matrix(Mod(ts.cwt)^2,sw)
    		if (siglevel[1]!=0 & nreal!=0) { critval <- critical.valuesWSP(tsanom,s0,noctave,nvoice,w0,sw,siglevel,nreal) }
    		else { critval <- 0 }
		plot.wt(wsp,0,t,s0,noctave,w0,critval,markt=-999, marks=999,logscale,phase=FALSE,units,"Wavelet Power Spectrum", device=devices,file=fgraph,split=FALSE,color=TRUE)
		WS <- list(power=wsp,times=t,scales=2^(0:(noctave*nvoice)/nvoice)*s0,critval=critval)
   		cat("Period ",WS$scales,"\n")
  		for (i in 1:n) 
			{
			cat("time ",t[i],"\n")
			cat("spec ",WS$power[i,],"\n")
			cat("crit ",WS$critval,"\n")
			}
		cat("\n")
		}

	if (!is.null(outfile)) 
		{
		sink(file=ftext,append=TRUE)
		cat("\nImpression de la liste WS\n")
		print(WS)
		dev.off()
		sink()
		sink()
		}
return(WS)
}
