wcoh <-
function(ts1,ts2,s0=1,noctave=6,nvoice=20,w0=6,sw=0,siglevel=0.95,markt=-999,marks=-999,sqr=FALSE,phase=TRUE,plot=TRUE,units="",device="screen",file="wcoh",split=FALSE,color=TRUE)
	{
	if (sw==0) { siglevel <- 0 }
	t <- time(ts1)
	dt <- t[2]-t[1]
 	if (s0<2*dt)
		{
		s0 <- 2*dt
		cat(paste("# s0 set to ",s0," \n"))
  		}
	if (length(ts1)!=length(ts2))
		{
    		tsint <- ts.intersect(ts1,ts2)
		ts1 <- ts(data=tsint[,1],start=time(tsint)[1],frequency=1/dt)
		ts2 <- ts(data=tsint[,2],start=time(tsint)[1],frequency=1/dt)
		t <- time(ts1)
		}
	ts1anom <- ts1-mean(ts1)
	ts2anom <- ts2-mean(ts2)
	ts1.cwt <- cwt.ts(ts1anom,s0,noctave,nvoice,w0)
	ts2.cwt <- cwt.ts(ts2anom,s0,noctave,nvoice,w0)
	cosp <- Re(ts1.cwt)*Re(ts2.cwt) + Im(ts1.cwt)*Im(ts2.cwt)
	quad <- Im(ts1.cwt)*Re(ts2.cwt) - Re(ts1.cwt)*Im(ts2.cwt)
 	wsp1 <- Mod(ts1.cwt)^2
	wsp2 <- Mod(ts2.cwt)^2
	smcosp <- smooth.matrix(cosp,sw)
	smquad <- smooth.matrix(quad,sw)
	smwsp1 <- smooth.matrix(wsp1,sw)
	smwsp2 <- smooth.matrix(wsp2,sw)
	if (sqr==FALSE) { wcoh <- sqrt((smcosp^2+smquad^2)/(smwsp1*smwsp2)) }
  	else { wcoh <- (smcosp^2+smquad^2)/(smwsp1*smwsp2) }
  	if (phase) { phs <- atan2(smquad,smcosp) }
	else phs <- 0
  	if (siglevel[1]!=0) { critval <- critical.valuesWCO(s0,noctave,nvoice,w0,sw,siglevel) }
  	else { critval <- 0 }
	if (sqr==TRUE) { critval <- critval^2 }
  	wcoh[1,1] <- 0
	wcoh[1,1] <- 1
	phs[1,1] <- -pi
	phs[1,1] <- pi 
  	if (plot) { plot.wt(wcoh,phs,t,s0,noctave,w0,critval,markt,marks,FALSE,phase,units,"Wavelet Coherency",device,file,split,color) }
	if (phase) { wclist <- list(coherency=wcoh,phase=phs,times=t,scales=2^(0:(noctave*nvoice)/nvoice)*s0,critval=critval) }
  	else { wclist <- list(coherency=wcoh,times=t,scales=2^(0:(noctave*nvoice)/nvoice)*s0,critval=critval) }
	wclist
	}
