wcsp <-
function(ts1,ts2,s0=1,noctave=6,nvoice=20,w0=6,sw=0,markt=-999,marks=-999,logscale=FALSE,phase=TRUE,plot=TRUE,units="",device="screen",file="wcsp",split=FALSE,color=TRUE)
	{
  	t <- time(ts1)
	dt <- t[2]-t[1]
	if (s0<2*dt)
		{
    		s0 <- 2*dt
    		cat(paste("# s0 set to ",s0," \n"))
  		}
  	if (length(ts1)!=length(ts2))
		{
		tsint <- ts.intersect(ts1,ts2)
		ts1 <- ts(data=tsint[,1],start=time(tsint)[1],frequency=1/dt)
		ts2 <- ts(data=tsint[,2],start=time(tsint)[1],frequency=1/dt)
		t <- time(ts1)
		}
  	ts1anom <- ts1-mean(ts1)
 	ts2anom <- ts2-mean(ts2)
	ts1.cwt <- cwt.ts(ts1anom,s0,noctave,nvoice,w0)
	ts2.cwt <- cwt.ts(ts2anom,s0,noctave,nvoice,w0)
	wcsp <- ts1.cwt * ts2.cwt
	cosp <- Re(ts1.cwt)*Re(ts2.cwt) + Im(ts1.cwt)*Im(ts2.cwt)
	quad <- Im(ts1.cwt)*Re(ts2.cwt) - Re(ts1.cwt)*Im(ts2.cwt)
	smcosp <- smooth.matrix(cosp,sw)
	smquad <- smooth.matrix(quad,sw)
    	wcsp <- smcosp^2+smquad^2
	if (phase) { phs <- atan2(smquad,smcosp) }
  	else phs <- 0
  	if (plot) { plot.wt(wcsp,phs,t,s0,noctave,w0,-1,markt,marks,logscale,phase,units,"Wavelet Cross Spectrum",device,file,split,color) }
	wclist <- list(modulus=wcsp,phase=phs,times=t,scales=2^(0:(noctave*nvoice)/nvoice)*s0)
	wclist
	}
