\name{denIXsm}
\alias{denIXsm}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Standardization of tree-ring series using a spline function }
\description{
  each tree-ring series is standardized using a local regression or a fouler filter and master chronologies are calculated per sites
}
\usage{
output=denIXsm(dser,window=0.5,missing=NA,outfile=NULL)
}
\arguments{
  \item{dser}{ \code{dser} is the matrix of the tree-ring series }
  \item{window}{ \code{window} is size of the window used to define the local regression / fouler filter,in proportion of the total length of the series for local regression, between 0.1 and 1 (default = 0.5) / or between 2 and 10000 for fouler filter }
  \item{missing}{ \code{missing} is the code for missing values (default=NA) }
  \item{outfile}{ \code{outfile} is the filename for the log and graphics }

}
\details{
        In case where window < =1, the script uses "loess" of library "stats" to calculate trends by local regression between the tree-rings and the years; window is the parameter span of loess.
  In case where window >=2, the script uses "BPfilter" of package "bionic" to calculate trends by calculating frequency spectra by Fast Fourier Transform (FFT), setting to 0 periods below window and coming back to time by inverse FFT.   
  Several populations can be put in the matrix dser; the last character of the series names defines the core and the previous two characters define the tree.
        The series are detrended by division of the raw series by the trend. After detrending, the cores are grouped per tree and tree means are provided as outputs. Afterwards, the trees of the same populations are grouped together. Graphics with raw series and indixed series are also given. 
}
\value{
  output IXsm list contains: 
  - cortrend, the trend of each core (one by column of dser)
  - corindex, the indexed cores
  - trindex, the indexed tree series (averages of the cores belonging to the same tree
  - popindex, the indexed populations (averages of the trees belonging to the same population
  - popsize, the number of cores belonging to the samle population; this value changes depending on time 
}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void
}
\examples{
output=denIXsm(dentest.window=30,output=testt)
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ local regression}
\keyword{ FFT filter}
\keyword{ trend}
\keyword{ standardization} 
\keyword{ stationarization }

