\name{denRFcpb}
\alias{denRFcpb}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Response function using a bootstrapped regression on CP}
\description{
  The response function is a relationship between the tree-ring series and the climatic variables; the linear regression is applied on the principal components (if p>0) of the climatic variables to avoid colinearity; bootstrap is used to assess the confidence intervals of the coefficients. 
}
\usage{
output=denRFcpb(xmat,ymat,p=0,ncas=100,outfile=NULL)
}
\arguments{
  \item{xmat}{ \code{xmat} is the matrix of the climatic series }
  \item{ymat}{ \code{ymat} is the matrix of the tree-ring series }
  \item{p}{ \code{p} is the number of principal components (default=0, no PC transformation) }
  \item{ncas}{ \code{ncas} is the number of iterations for bootstrapping (default=100) }
  \item{outfile}{ \code{outfile} is the filename for the log and graphics }

}
\details{
The response function is a regression of tree-ring sereis on climatic variables. If requested (p>0), the regressors (climate) are transformed into principal components. The regression is done on them and there is a back transformation into original regressors. The regression is perfomed a large number of times on subsets of data randomly selected (bootstrap). the regression coefficients and the mean calibration/verification errors (averaged on all the tree-ring series) are given with 95% bootstrap confidence intervals
}
\value{
  output RFcpb list contains: 
  - r2, the vector of the squared R (one per tree-ring series) 
  - rmse, the vector of the rmse (one per tree-ring series) 
  - ymat, the matrix of the estimated tree-ring series (same dimension than the input ymat)
  - Beta3, the array (3,mx,my) of the regression coefficients, mx = nb of cliamtic variables, my = nb of tree-ring series, dimension 3 is for 0.025, 0.50 and 0.975 quantiles (obtained by bootstrap)
  - errc = (0.025, 0.5, 0.975) quantiles of the mean calibration error
  - errv = (0.025, 0.5, 0.975) quantiles of the mean verification error
}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void
}
\examples{
output=denRFcpb(clim,master,p=20)
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ multiple regression} 
\keyword{ principal components} 
\keyword{ bootstrap}
\keyword{ multivariate analysis }

