\name{plot_timeser3}
\alias{plot_timeser3}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ plot reconstructed values with one or two confidence intervals and eventually observed values }
\description{
  establish a correspondence between taxa of the fossil matrix and of the modern matrix 
  select the corresponding taxa and calculate the percentage on the basis of the selected taxa  
}
\usage{
output=plot_timeser3(as.numeric(rownames(datrec)),valrec,valrec2=NaN,datobs=NaN,valobs=NaN,smwindow=0,xlim=NaN,ylim0=NaN)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{datrec}{ \code{datrec} is a vector of time chronology for the reconstructed values to plot (length N) }
  \item{valrec}{ \code{valrec} is the matrix of the (reconstructed) values to plot; each variable is a Nx3 matrix where n is the number of observations, the first column is the central value, the second column is the lower error bar (value to substract to the central value to obtain the coordinates of the lower limit), the third colum is the upper error bar (to add to the central value); the number of columns of valrec is then a multiple of 3, i.e. 3m; valrec is plotted in dark grey }
  \item{valrec2}{ \code{valrec2} is a (optional) matrix giving a large confidence interval than valrec; it is plotted in light grey }
  \item{datobs}{ \code{datobs} is a vector of time chronology for the observations to plot (length n) }
  \item{valobs}{ \code{valobs} is a matrix of the observations to plot (n observations and m columns), the number of columns must correspond to valrec and valrec2 }
  \item{smwindow}{ \code{smwindow} is the window size for smoothing; if smwindow >0, a smoothed line is added to the graph for each variable; smwindow should be between 1 and the third of the size of time series }
  \item{xlim}{ \code{xlim} is a pair lower and upper value for the time scale }
  \item{ylim0}{ \code{ylim0} is a vector of size m*2 with min and max values for vertical axes: min1, max1, min2, max2 ... }
}
\details{
  There is one plot for each variable with a central line representing the reconstructed central value, two types of confidence intervals, e.g. 50 and 95% confidence levels; it can be accompanied with smoothed lines and observed serie
}
\value{
no output
}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
plot_timeser3(as.numeric(rownames(fosrec)),fosrec,smwindow=5)
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphics }

