\name{predLDb}
\alias{predLDb}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ prediction by bootstrap linear discriminant analysis }
\description{
  calculate a linear discriminant analysis between a vector of classes (numbers indicating belonging to one of several groups) and a matrix of predictors; inference is done by bootstrap; discriminant coefficients are used for prediction. Possibility to transform the predictors into principal components
}
\usage{
output=predLDb(xmat,catmat,xnewmat,catnewmat=FALSE,p=0,ncas=100,xstep=1,outfile=NULL)
}
\arguments{
  \item{xmat}{ \code{xmat} is the matrix of the potential predictors }
  \item{catmat}{ \code{catmat} is the vector of the class indicators }
  \item{xnewmat}{ \code{xnewmat} is the new matrix of predictors, for verification or extrapolation }
  \item{catnewmat}{ \code{catnewmat} is the new vector of the class indicators, if verification is wanted }
  \item{p}{ \code{p} is the number of principal components to be used (if 0 = default, no PCA is done }
  \item{ncas}{ \code{ncas} is the number of bootstrap simulations wanted (100 = default) }
  \item{xstep}{ one observation each \code{xstep} is resampled in the bootstrap  (1 = default) }
  \item{outfile}{ \code{outfile} is the filename for the log and graphics }
}
\details{
        The script uses "lda" for the discriminant analysis and "prcomp" for the principal components 
  It calculates a linear discriminant analysis between  "catmat"  and the columns of "xmat".
  If the predictors are numerous and correlated, it is preferable to use the principal components. 
  The number of bootstrap simulation should be high enough to calculate good confidence intervals (at least 100). 
}
\value{
  output list contains: 
  ng, the number of groups
  class0, the matrix of classification on the initial discriminant analysis (with all the observations)
  class, the bootstrap matrix of classification for calibration data: a (ng,ng,ncas) matrix (one 2-dim matrix for each bootstrap simulation
  classp, the bootstrap matrix of classification for validation data: a (ng,ng,ncas) matrix (one 2-dim matrix for each bootstrap simulation
  catprob, the calibration (posterior) probability to belong to each group under the form of triplet (2.5th, 50th, 97.5th) percentiles, columns (j-1)*3+1 to (j-1)*3+3 for group j; the last column is the group with maximum probability
  catnewprob is the same for verification data
}
\references{ ~ ~ }
\author{ J. Guiot }
\note{ void
}
\examples{
output=predLDb(ss700po,ss700bm,fospo%)

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ multivariate statistics }
\keyword{ discriminant analysis }
\keyword{ bootstrap }
\keyword{ principal components }
\keyword{ classification }